Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1518341 - [REGRESSION]Cloud-init provision on RHEV
Summary: [REGRESSION]Cloud-init provision on RHEV
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Providers
Version: 5.9.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.10.0
Assignee: Juan Hernández
QA Contact: Angelina Nikiforova
URL:
Whiteboard: regression:rhev:cloud-init
Depends On:
Blocks: 1518878
TreeView+ depends on / blocked
 
Reported: 2017-11-28 16:33 UTC by Leo Khomenko
Modified: 2019-04-02 08:24 UTC (History)
7 users (show)

Fixed In Version: 5.10.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1518878 (view as bug list)
Environment:
Last Closed: 2018-06-21 21:18:53 UTC
Category: ---
Cloudforms Team: RHEVM


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github ManageIQ manageiq-providers-ovirt pull 159 None None None 2017-11-29 11:29:17 UTC

Description Leo Khomenko 2017-11-28 16:33:20 UTC
Description of problem:
Prerequisites:
RHEV - Red Hat Virtualization Manager Version: 4.1.5.2-0.1.el7
CFME 5.9.0.11
cloud-init script:
"""
#cloud-config
write_files:
  - path: /tmp/test.txt
    content: |
      Here is a line.
      Another line is here.
    permissions: '0755'
"""
Template with cloud-init 0.7.9 (cfme-5905 template was used)

Version-Release number of selected component (if applicable):5.9.0.9-11


How reproducible:100%


Steps to Reproduce:
1.Create simple cloud-init Customization Template
2.Provision VM on rhv41 using template with cloud-init preinstalled and use Customisatio Template from step 1
3.check cloud-init results

Actual results:nothing happens


Expected results:cloud-init script should be executed


Additional info: script gets added into VM properties InitialRun like:
"""
:write_files:
- :path: "/tmp/test.txt"
  :content: |
    Here is a line.
    Another line is here.
  :permissions: '0755'
"""

cat /var/log/cloud-init.log (that's all we have)
2017-11-28 11:04:32,523 - stages.py[INFO]: Loaded datasource DataSourceConfigDrive - DataSourceConfigDrive [local,ver=2][source=/dev/sr1]
2017-11-28 11:04:32,587 - stages.py[INFO]: Applying network configuration from fallback bringup=False: {'version': 1, 'config': [{'subnets': [{'type': 'dhcp'}], 'type': 'physical', 'name': 'eth0', 'mac_address': '00:1a:4a:51:24:c1'}]}
2017-11-28 11:04:53,321 - cc_keys_to_console.py[WARNING]: Writing keys to the system console failed!
2017-11-28 11:04:53,321 - util.py[WARNING]: Running module keys-to-console (<module 'cloudinit.config.cc_keys_to_console' from '/usr/lib/python2.7/site-packages/cloudinit/config/cc_keys_to_console.pyc'>) failed

cat /var/log/cloud-init.log 
2017-11-28 11:04:32,523 - stages.py[INFO]: Loaded datasource DataSourceConfigDrive - DataSourceConfigDrive [local,ver=2][source=/dev/sr1]
2017-11-28 11:04:32,587 - stages.py[INFO]: Applying network configuration from fallback bringup=False: {'version': 1, 'config': [{'subnets': [{'type': 'dhcp'}], 'type': 'physical', 'name': 'eth0', 'mac_address': '00:1a:4a:51:24:c1'}]}
2017-11-28 11:04:53,321 - cc_keys_to_console.py[WARNING]: Writing keys to the system console failed!
2017-11-28 11:04:53,321 - util.py[WARNING]: Running module keys-to-console (<module 'cloudinit.config.cc_keys_to_console' from '/usr/lib/python2.7/site-packages/cloudinit/config/cc_keys_to_console.pyc'>) failed
[root@dhcp-8-197-103 vmdb]# cat /var/log/cloud-init-output.log 
Cloud-init v. 0.7.9 running 'init-local' at Tue, 28 Nov 2017 16:04:31 +0000. Up 5.10 seconds.
Cloud-init v. 0.7.9 running 'init' at Tue, 28 Nov 2017 16:04:51 +0000. Up 24.75 seconds.
ci-info: ++++++++++++++++++++++++++++++Net device info+++++++++++++++++++++++++++++++
ci-info: +--------+------+--------------+---------------+-------+-------------------+
ci-info: | Device |  Up  |   Address    |      Mask     | Scope |     Hw-Address    |
ci-info: +--------+------+--------------+---------------+-------+-------------------+
ci-info: |  lo:   | True |  127.0.0.1   |   255.0.0.0   |   .   |         .         |
ci-info: |  lo:   | True |      .       |       .       |   d   |         .         |
ci-info: | eth0:  | True | 10.8.197.103 | 255.255.252.0 |   .   | 00:1a:4a:51:24:c1 |
ci-info: | eth0:  | True |      .       |       .       |   d   | 00:1a:4a:51:24:c1 |
ci-info: +--------+------+--------------+---------------+-------+-------------------+
ci-info: +++++++++++++++++++++++++++++Route IPv4 info++++++++++++++++++++++++++++++
ci-info: +-------+-------------+--------------+---------------+-----------+-------+
ci-info: | Route | Destination |   Gateway    |    Genmask    | Interface | Flags |
ci-info: +-------+-------------+--------------+---------------+-----------+-------+
ci-info: |   0   |   0.0.0.0   | 10.8.199.254 |    0.0.0.0    |    eth0   |   UG  |
ci-info: |   1   |  10.8.196.0 |   0.0.0.0    | 255.255.252.0 |    eth0   |   U   |
ci-info: +-------+-------------+--------------+---------------+-----------+-------+
Cloud-init v. 0.7.9 running 'modules:config' at Tue, 28 Nov 2017 16:04:52 +0000. Up 25.50 seconds.
Cloud-init v. 0.7.9 running 'modules:final' at Tue, 28 Nov 2017 16:04:53 +0000. Up 26.32 seconds.
Cloud-init v. 0.7.9 finished at Tue, 28 Nov 2017 16:04:53 +0000. Datasource DataSourceConfigDrive [local,ver=2][source=/dev/sr1].  Up 26.44 seconds


If we add whole cloud-init script(from Prerequisites) and provision Vm from RHEV portal - cloud-init works fine


Note You need to log in before you can comment on or make changes to this bug.